### Constructor

# Shumate RasterRenderer new_full_from_url

#### Declaration [src]

    ShumateRasterRenderer*
    shumate_raster_renderer_new_full_from_url (
      const char* id,
      const char* name,
      const char* license,
      const char* license_uri,
      guint min_zoom,
      guint max_zoom,
      guint tile_size,
      ShumateMapProjection projection,
      const char* url_template
    )

#### Description [src]

Creates a new `ShumateRasterRenderer` with the given details and a data source.

#### Parameters

`id`

  Type: `const char*`

  The map source’s id.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`name`

  Type: `const char*`

  The map source’s name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`license`

  Type: `const char*`

  The map source’s license.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`license_uri`

  Type: `const char*`

  The map source’s license URI.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`min_zoom`

  Type: `guint`

  The map source’s minimum zoom level.

`max_zoom`

  Type: `guint`

  The map source’s maximum zoom level.

`tile_size`

  Type: `guint`

  The map source’s tile size (in pixels)

`projection`

  Type: `ShumateMapProjection`

  The map source’s projection.

`url_template`

  Type: `const char*`

  A URL template to fetch tiles from.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ShumateRasterRenderer`

A newly constructed `ShumateRasterRenderer`

The caller of the function takes ownership of the data, and is responsible for freeing it.